<template>
  <div class="creating-group-chat">
    <ChatHeader class="create-chat-header">
      <JText
        tag="h2"
        weight="normal"
        type="title-3"
        color="text"
      >
        {{ $t('create_private_chat') }}
      </JText>
      <div class="create-chat-actions">
        <JButton
          icon
          size="s"
          color="gray"
          type="outlined"
          :title="$t('back_to_contacts')"
          @click="resetCreatingChat"
        >
          <JIcon icon="back" />
        </JButton>
      </div>
    </ChatHeader>
    <SearchAndSelectUsers
      :multi-select="false"
      @select:single="submit"
    />
  </div>
</template>

<script setup lang="ts">
import { defineAsyncComponent } from 'vue';
import { useRouter } from 'vue-router';
import { JButton, JIcon, JText } from '@new-jira-clone/ui/src/components';
import { ChatHeader, IUser } from '@/shared';
import useCreatingChatState from '../model/useCreatingChatState';

const SearchAndSelectUsers = defineAsyncComponent(() => import('../../search-by-users/ui/SearchAndSelectUsers.vue'));

const router = useRouter();

const { $reset: resetCreatingChat } = useCreatingChatState();

const submit = (selectedUser: IUser) => {
  resetCreatingChat();

  router.push({
    name: 'chat-details',
    params: {
      id: selectedUser.id,
    },
  });
};
</script>

<style scoped lang="scss">
.creating-group-chat {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;

  .create-chat-header {
    display: flex;
  }

  .create-chat-actions {
    display: flex;
  }
}
</style>
